--- old/usr/src/test/zfs-tests/include/libtest.shlib	Wed Aug 31 16:20:18 2016
+++ new/usr/src/test/zfs-tests/include/libtest.shlib	Wed Aug 31 16:20:18 2016
@@ -2022,12 +2022,12 @@
 	if ! poolexists "$pool" ; then
 		return 1
 	fi
-	alt_root=$($ZPOOL list -H $pool | $AWK '{print $NF}')
+	alt_root=$(zpool list -H $pool | awk '{print $NF}')
 	if [[ $alt_root == "-" ]]; then
-		value=$($ZDB -C $pool | $GREP "$config:" | $AWK -F: \
+		value=$(zdb -C $pool | grep "$config:" | awk -F: \
 		    '{print $2}')
 	else
-		value=$($ZDB -e $pool | $GREP "$config:" | $AWK -F: \
+		value=$(zdb -e $pool | grep "$config:" | awk -F: \
 		    '{print $2}')
 	fi
 	if [[ -n $value ]] ; then
@@ -2054,8 +2054,8 @@
 	typeset -i ind
 	((ind = RANDOM % cnt + 1))
 
-	typeset ret=$($ECHO "$str" | $CUT -f $ind -d ' ')
-	$ECHO $ret
+	typeset ret=$(echo "$str" | cut -f $ind -d ' ')
+	echo $ret
 }
 
 #
@@ -2087,14 +2087,14 @@
 	typeset vdev=$dir/a
 	typeset sdev=$dir/b
 
-	$MKDIR -p $dir
-	$MKFILE $MINVDEVSIZE $vdev $sdev
+	mkdir -p $dir
+	mkfile $MINVDEVSIZE $vdev $sdev
 
 	typeset -i ret=0
-	if ! $ZPOOL create -n $pool $vdev log $sdev > /dev/null 2>&1; then
+	if ! zpool create -n $pool $vdev log $sdev > /dev/null 2>&1; then
 		ret=1
 	fi
-	$RM -r $dir
+	rm -r $dir
 
 	return $ret
 }
@@ -2123,7 +2123,7 @@
 		((iter -= 1))
 	done
 
-	$ECHO $l_name
+	echo $l_name
 }
 
 #
@@ -2138,10 +2138,10 @@
 function datasetcksum
 {
 	typeset cksum
-	$SYNC
-	cksum=$($ZDB -vvv $1 | $GREP "^Dataset $1 \[" | $GREP "cksum" \
-		| $AWK -F= '{print $7}')
-	$ECHO $cksum
+	sync
+	cksum=$(zdb -vvv $1 | grep "^Dataset $1 \[" | grep "cksum" \
+		| awk -F= '{print $7}')
+	echo $cksum
 }
 
 #
@@ -2151,8 +2151,8 @@
 function checksum
 {
 	typeset cksum
-	cksum=$($CKSUM $1 | $AWK '{print $1}')
-	$ECHO $cksum
+	cksum=$(cksum $1 | awk '{print $1}')
+	echo $cksum
 }
 
 #
@@ -2164,8 +2164,8 @@
 	typeset disk=${2#/dev/dsk/}
 	typeset field=${3:-$pool}
 
-	state=$($ZPOOL status -v "$pool" 2>/dev/null | \
-		$NAWK -v device=$disk -v pool=$pool -v field=$field \
+	state=$(zpool status -v "$pool" 2>/dev/null | \
+		nawk -v device=$disk -v pool=$pool -v field=$field \
 		'BEGIN {startconfig=0; startfield=0; }
 		/config:/ {startconfig=1}
 		(startconfig==1) && ($1==field) {startfield=1; next;}
@@ -2193,7 +2193,7 @@
 	#  $ df -n /
 	#  /		  : ufs
 	#
-	$DF -n $dir | $AWK '{print $3}'
+	df -n $dir | awk '{print $3}'
 }
 
 #
@@ -2207,36 +2207,36 @@
 		log_fail "The disk name is unspecified."
 	fi
 	typeset label_file=/var/tmp/labelvtoc.$$
-	typeset arch=$($UNAME -p)
+	typeset arch=$(uname -p)
 
 	if [[ $arch == "i386" ]]; then
-		$ECHO "label" > $label_file
-		$ECHO "0" >> $label_file
-		$ECHO "" >> $label_file
-		$ECHO "q" >> $label_file
-		$ECHO "q" >> $label_file
+		echo "label" > $label_file
+		echo "0" >> $label_file
+		echo "" >> $label_file
+		echo "q" >> $label_file
+		echo "q" >> $label_file
 
-		$FDISK -B $disk >/dev/null 2>&1
+		fdisk -B $disk >/dev/null 2>&1
 		# wait a while for fdisk finishes
-		$SLEEP 60
+		sleep 60
 	elif [[ $arch == "sparc" ]]; then
-		$ECHO "label" > $label_file
-		$ECHO "0" >> $label_file
-		$ECHO "" >> $label_file
-		$ECHO "" >> $label_file
-		$ECHO "" >> $label_file
-		$ECHO "q" >> $label_file
+		echo "label" > $label_file
+		echo "0" >> $label_file
+		echo "" >> $label_file
+		echo "" >> $label_file
+		echo "" >> $label_file
+		echo "q" >> $label_file
 	else
 		log_fail "unknown arch type"
 	fi
 
-	$FORMAT -e -s -d $disk -f $label_file
+	format -e -s -d $disk -f $label_file
 	typeset -i ret_val=$?
-	$RM -f $label_file
+	rm -f $label_file
 	#
 	# wait the format to finish
 	#
-	$SLEEP 60
+	sleep 60
 	if ((ret_val != 0)); then
 		log_fail "unable to label $disk as VTOC."
 	fi
@@ -2250,7 +2250,7 @@
 #
 function is_zfsroot
 {
-	$DF -n / | $GREP zfs > /dev/null 2>&1
+	df -n / | grep zfs > /dev/null 2>&1
 	return $?
 }
 
@@ -2261,14 +2261,14 @@
 function get_rootfs
 {
 	typeset rootfs=""
-	rootfs=$($AWK '{if ($2 == "/" && $3 == "zfs") print $1}' \
+	rootfs=$(awk '{if ($2 == "/" && $3 == "zfs") print $1}' \
 		/etc/mnttab)
 	if [[ -z "$rootfs" ]]; then
 		log_fail "Can not get rootfs"
 	fi
-	$ZFS list $rootfs > /dev/null 2>&1
+	zfs list $rootfs > /dev/null 2>&1
 	if (($? == 0)); then
-		$ECHO $rootfs
+		echo $rootfs
 	else
 		log_fail "This is not a zfsroot system."
 	fi
@@ -2283,15 +2283,15 @@
 {
 	typeset rootfs=""
 	typeset rootpool=""
-	rootfs=$($AWK '{if ($2 == "/" && $3 =="zfs") print $1}' \
+	rootfs=$(awk '{if ($2 == "/" && $3 =="zfs") print $1}' \
 		 /etc/mnttab)
 	if [[ -z "$rootfs" ]]; then
 		log_fail "Can not get rootpool"
 	fi
-	$ZFS list $rootfs > /dev/null 2>&1
+	zfs list $rootfs > /dev/null 2>&1
 	if (($? == 0)); then
-		rootpool=`$ECHO $rootfs | awk -F\/ '{print $1}'`
-		$ECHO $rootpool
+		rootpool=`echo $rootfs | awk -F\/ '{print $1}'`
+		echo $rootpool
 	else
 		log_fail "This is not a zfsroot system."
 	fi
@@ -2305,7 +2305,7 @@
 	typeset device=${1#/dev/dsk/}
 	device=${device#/dev/rdsk/}
 
-	$ECHO $device | $EGREP "^c[0-F]+([td][0-F]+)+$" > /dev/null 2>&1
+	echo $device | egrep "^c[0-F]+([td][0-F]+)+$" > /dev/null 2>&1
 	return $?
 }
 
@@ -2320,9 +2320,9 @@
 		if [[ $device != "/" ]]; then
 			device=${device%/*}
 		fi
-		$ECHO $device
+		echo $device
 	else
-		$ECHO "/dev/dsk"
+		echo "/dev/dsk"
 	fi
 }
 
@@ -2341,7 +2341,7 @@
 #
 function get_word_count
 {
-	$ECHO $1 | $WC -w
+	echo $1 | wc -w
 }
 
 #
@@ -2385,7 +2385,7 @@
 #
 function is_te_enabled
 {
-	$SVCS -H -o state labeld 2>/dev/null | $GREP "enabled"
+	svcs -H -o state labeld 2>/dev/null | grep "enabled"
 	if (($? != 0)); then
 		return 1
 	else
@@ -2396,12 +2396,12 @@
 # Utility function to determine if a system has multiple cpus.
 function is_mp
 {
-	(($($PSRINFO | $WC -l) > 1))
+	(($(psrinfo | wc -l) > 1))
 }
 
 function get_cpu_freq
 {
-	$PSRINFO -v 0 | $AWK '/processor operates at/ {print $6}'
+	psrinfo -v 0 | awk '/processor operates at/ {print $6}'
 }
 
 # Run the given command as the user provided.
@@ -2410,7 +2410,7 @@
 	typeset user=$1
 	shift
 
-	eval \$SU \$user -c \"$@\" > /tmp/out 2>/tmp/err
+	eval su \$user -c \"$@\" > /tmp/out 2>/tmp/err
 	return $?
 }
 
@@ -2435,14 +2435,14 @@
 
 	shift
 
-	typeset tmpfile=$($MKTEMP)
-	$ZPOOL list -Hv "$pool" >$tmpfile
+	typeset tmpfile=$(mktemp)
+	zpool list -Hv "$pool" >$tmpfile
 	for vdev in $@; do
-		$GREP -w ${vdev##*/} $tmpfile >/dev/null 2>&1
+		grep -w ${vdev##*/} $tmpfile >/dev/null 2>&1
 		[[ $? -ne 0 ]] && return 1
 	done
 
-	$RM -f $tmpfile
+	rm -f $tmpfile
 
 	return 0;
 }
--- old/usr/src/test/zfs-tests/include/math.shlib	Wed Aug 31 16:20:19 2016
+++ new/usr/src/test/zfs-tests/include/math.shlib	Wed Aug 31 16:20:19 2016
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -30,14 +30,14 @@
 	typeset percent=$3
 
 	# Set $a or $b to $2 such that a >= b
-	[[ '1' = $($ECHO "if ($2 > $a) 1" | $BC) ]] && a=$2 || b=$2
+	[[ '1' = $(echo "if ($2 > $a) 1" | bc) ]] && a=$2 || b=$2
 
 	# Prevent division by 0
 	[[ $a =~ [1-9] ]] || return 1
 
-	typeset p=$($ECHO "scale=2; $b * 100 / $a" | $BC)
+	typeset p=$(echo "scale=2; $b * 100 / $a" | bc)
 	log_note "Comparing $a and $b given $percent% (calculated: $p%)"
-	[[ '1' = $($ECHO "scale=2; if ($p >= $percent) 1" | $BC) ]] && return 0
+	[[ '1' = $(echo "scale=2; if ($p >= $percent) 1" | bc) ]] && return 0
 
 	return 1
 }
--- old/usr/src/test/zfs-tests/include/properties.shlib	Wed Aug 31 16:20:19 2016
+++ new/usr/src/test/zfs-tests/include/properties.shlib	Wed Aug 31 16:20:19 2016
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 typeset -a compress_props=('on' 'off' 'lzjb' 'gzip' 'gzip-1' 'gzip-2' 'gzip-3'
@@ -36,7 +36,7 @@
 
 	typeset prop_max=$((${#prop_array[@]} - 1))
 	typeset -i i
-	for i in $($SHUF -i $start-$prop_max -n $num_props); do
+	for i in $(shuf -i $start-$prop_max -n $num_props); do
 		retstr="${prop_array[$i]} $retstr"
 	done
 	echo $retstr
--- old/usr/src/test/zfs-tests/tests/functional/acl/acl_common.kshlib	Wed Aug 31 16:20:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/acl_common.kshlib	Wed Aug 31 16:20:19 2016
@@ -24,6 +24,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl.cfg
 . $STF_SUITE/include/libtest.shlib
 
@@ -39,7 +43,7 @@
 		return 1
 	fi
 
-	$LS -ld $obj | $AWK '{print $1}'
+	ls -ld $obj | awk '{print $1}'
 }
 
 #
@@ -54,7 +58,7 @@
 		return 1
 	fi
 
-	$LS -vd $obj | $NAWK '(NR != 1) {print $0}'
+	ls -vd $obj | nawk '(NR != 1) {print $0}'
 }
 
 #
@@ -69,7 +73,7 @@
 		return 1
 	fi
 
-	$LS -Vd $obj | $NAWK '(NR != 1) {print $0}'
+	ls -Vd $obj | nawk '(NR != 1) {print $0}'
 }
 
 #
@@ -94,9 +98,9 @@
 	get_acl $src > $tmpsrc
 	get_acl $tgt > $tmptgt
 	typeset -i ret=0
-	$DIFF $tmpsrc $tmptgt > /dev/null 2>&1
+	diff $tmpsrc $tmptgt > /dev/null 2>&1
 	ret=$?
-	$RM -f $tmpsrc $tmptgt
+	rm -f $tmpsrc $tmptgt
 
 	if (( ret != 0 )); then
 		return $ret
@@ -104,9 +108,9 @@
 
 	get_compact_acl $src > $tmpsrc
 	get_compact_acl $tgt > $tmptgt
-	$DIFF $tmpsrc $tmptgt > /dev/null 2>&1
+	diff $tmpsrc $tmptgt > /dev/null 2>&1
 	ret=$?
-	$RM -f $tmpsrc $tmptgt
+	rm -f $tmpsrc $tmptgt
 
 	return $ret
 }
@@ -162,9 +166,9 @@
 	get_xattr $src > $tmpsrc
 	get_xattr $tgt > $tmptgt
 	typeset -i ret=0
-	$DIFF $tmpsrc $tmptgt > /dev/null 2>&1
+	diff $tmpsrc $tmptgt > /dev/null 2>&1
 	ret=$?
-	$RM -f $tmpsrc $tmptgt
+	rm -f $tmpsrc $tmptgt
 
         return $ret
 }
@@ -181,7 +185,7 @@
 		return 1
 	fi
 
-	$LS -ld $obj | $AWK '{print $1}' | $GREP "+\>" > /dev/null
+	ls -ld $obj | awk '{print $1}' | grep "+\>" > /dev/null
 
         return $?
 }
@@ -198,7 +202,7 @@
 		return 1
 	fi
 
-	$LS -vd $obj | $NAWK '(NR == 1) {print $1}' | $GREP "+\>" > /dev/null
+	ls -vd $obj | nawk '(NR == 1) {print $1}' | grep "+\>" > /dev/null
 
         return $?
 }
@@ -211,7 +215,7 @@
 #
 function chgusr_exec #<login_name> <commands> [...]
 {
-	$CHG_USR_EXEC $@
+	chg_usr_exec $@
 	return $?
 }
 
@@ -232,7 +236,7 @@
 #
 function usr_exec #<commands> [...]
 {
-	$CHG_USR_EXEC "$ZFS_ACL_CUR_USER" $@
+	chg_usr_exec "$ZFS_ACL_CUR_USER" $@
 	return $?
 }
 
@@ -248,7 +252,7 @@
 		return 1
 	fi
 
-	$LS -vd $1 | $NAWK 'BEGIN {count=0}
+	ls -vd $1 | nawk 'BEGIN {count=0}
 			(NR != 1)&&(/[0-9]:/) {count++}
 			END {print count}'
 
@@ -286,8 +290,8 @@
 			;;
 	esac
 
-	$LS $args $file > $tmpfile
-	(( $? != 0 )) && log_fail "FAIL: $LS $args $file > $tmpfile"
+	ls $args $file > $tmpfile
+	(( $? != 0 )) && log_fail "FAIL: ls $args $file > $tmpfile"
 	while read line; do
 		[[ -z $line ]] && continue
 		if [[ $args == -vd ]]; then
@@ -308,8 +312,8 @@
 		fi
 	done < $tmpfile
 
-	$RM -f $tmpfile
-	(( $? != 0 )) && log_fail "FAIL: $RM -f $tmpfile"
+	rm -f $tmpfile
+	(( $? != 0 )) && log_fail "FAIL: rm -f $tmpfile"
 }
 
 #
@@ -337,7 +341,7 @@
 {
 	if [[ -d $TESTDIR ]]; then
 		cd $TESTDIR
-		$RM -rf $TESTDIR/*
+		rm -rf $TESTDIR/*
 	fi
 }
 
@@ -363,26 +367,26 @@
 	if [[ -d $node ]]; then
 		case $acl_spec in
 		*:read_data:*|read_data)
-			chgusr_exec $user $LS -l $node > /dev/null 2>&1
+			chgusr_exec $user ls -l $node > /dev/null 2>&1
 			return $? ;;
 		*:write_data:*|write_data)
 			if [[ -f ${node}/tmpfile ]]; then
-				log_must $RM -f ${node}/tmpfile
+				log_must rm -f ${node}/tmpfile
 			fi
-			chgusr_exec $user $TOUCH ${node}/tmpfile > \
+			chgusr_exec $user touch ${node}/tmpfile > \
 				/dev/null 2>&1
 			return $? ;;
 		*"execute:"*|execute)
-			chgusr_exec $user $FIND $node > /dev/null 2>&1
+			chgusr_exec $user find $node > /dev/null 2>&1
 			return $? ;;
 		esac
 	else
 		case $acl_spec in
 		*:read_data:*|read_data)
-			chgusr_exec $user $CAT $node > /dev/null 2>&1
+			chgusr_exec $user cat $node > /dev/null 2>&1
 			return $? ;;
 		*:write_data:*|write_data)
-			chgusr_exec $user $DD if=/usr/bin/ls of=$node > \
+			chgusr_exec $user dd if=/usr/bin/ls of=$node > \
 				/dev/null 2>&1
 			return $? ;;
 		*"execute:"*|execute)
@@ -405,9 +409,9 @@
 		return 1
 	fi
 
-	for xattr in `$RUNAT $obj $LS | \
+	for xattr in `runat $obj ls | \
 		/usr/xpg4/bin/egrep -v -e SUNWattr_ro -e SUNWattr_rw` ; do
-		$RUNAT $obj $SUM $xattr
+		runat $obj sum $xattr
 	done
 }
 
@@ -424,12 +428,12 @@
 	fi
 
 	if [[ -d $node ]]; then
-		value=$($LS -dl $node | $AWK '{print $3}')
+		value=$(ls -dl $node | awk '{print $3}')
 	elif [[ -e $node ]]; then
-		value=$($LS -l $node | $AWK '{print $3}')
+		value=$(ls -l $node | awk '{print $3}')
 	fi
 
-	$ECHO $value
+	echo $value
 }
 
 #
@@ -445,12 +449,12 @@
 	fi
 
 	if [[ -d $node ]]; then
-		value=$($LS -dl $node | $AWK '{print $4}')
+		value=$(ls -dl $node | awk '{print $4}')
 	elif [[ -e $node ]]; then
-		value=$($LS -l $node | $AWK '{print $4}')
+		value=$(ls -l $node | awk '{print $4}')
 	fi
 
-	$ECHO $value
+	echo $value
 }
 
 
@@ -471,7 +475,7 @@
 	if [[ $? -eq 0 ]]; then
 		value=${value##*\(}
 		value=${value%%\)*}
-		$ECHO $value
+		echo $value
 	else
 		log_fail "Invalid UID (uid)."
 	fi
@@ -509,17 +513,17 @@
 	[[ ! -d $dir ]] && return
 	typeset oldpwd=$PWD
 	cd $dir
-	typeset files=$($LS file*)
+	typeset files=$(ls file*)
 
 	typeset -i i=0
 	typeset -i n=0
 	while (( i < NUM_FILE )); do
 		typeset f=$(getitem $i $files)
-		eval $farr_name[$i]=\$\(\$CKSUM $f\)
+		eval $farr_name[$i]=\$\(\cksum $f\)
 
 		typeset -i j=0
 		while (( j < NUM_ATTR )); do
-			eval $aarr_name[$n]=\$\(\$RUNAT \$f \$CKSUM \
+			eval $aarr_name[$n]=\$\(\runat \$f \cksum \
 				attribute.$j\)
 
 			(( j += 1 ))
@@ -571,12 +575,12 @@
 	typeset dir=$1
 	typeset outfile=$2
 
-	[[ ! -d ${outfile%/*} ]] && usr_exec $MKDIR -p ${outfile%/*}
+	[[ ! -d ${outfile%/*} ]] && usr_exec mkdir -p ${outfile%/*}
 
-	usr_exec cd $dir ; $FIND . -depth -type f -exec cksum {} \\\; | \
-	    $SORT > $outfile
-	usr_exec cd $dir ; $FIND . -depth -type f -xattr -exec runat {} \
-		cksum attribute* \\\; | $SORT >> $outfile
+	usr_exec cd $dir ; find . -depth -type f -exec cksum {} \\\; | \
+	    sort > $outfile
+	usr_exec cd $dir ; find . -depth -type f -xattr -exec runat {} \
+		cksum attribute* \\\; | sort >> $outfile
 }
 
 #
@@ -589,20 +593,20 @@
 {
 	typeset basedir=$1
 
-	[[ ! -d $basedir ]] && usr_exec $MKDIR -m 777 $basedir
-	[[ ! -d $RES_DIR  ]] && usr_exec $MKDIR -m 777 $RES_DIR
-	[[ ! -d $INI_DIR ]] && usr_exec $MKDIR -m 777 $INI_DIR
-	[[ ! -d $TST_DIR ]] && usr_exec $MKDIR -m 777 $TST_DIR
-	[[ ! -d $TMP_DIR  ]] && usr_exec $MKDIR -m 777 $TMP_DIR
+	[[ ! -d $basedir ]] && usr_exec mkdir -m 777 $basedir
+	[[ ! -d $RES_DIR  ]] && usr_exec mkdir -m 777 $RES_DIR
+	[[ ! -d $INI_DIR ]] && usr_exec mkdir -m 777 $INI_DIR
+	[[ ! -d $TST_DIR ]] && usr_exec mkdir -m 777 $TST_DIR
+	[[ ! -d $TMP_DIR  ]] && usr_exec mkdir -m 777 $TMP_DIR
 
 	#
 	# Create the original file and its attribute files.
 	#
 	[[ ! -a $RES_DIR/file ]] && \
-		usr_exec $FILE_WRITE -o create -f $RES_DIR/file \
+		usr_exec file_write -o create -f $RES_DIR/file \
 			-b 1024 -d 0 -c 1
 	[[ ! -a $RES_DIR/attribute ]] && \
-		usr_exec $CP $RES_DIR/file $RES_DIR/attribute
+		usr_exec cp $RES_DIR/file $RES_DIR/attribute
 
 	typeset oldpwd=$PWD
 	cd $INI_DIR
@@ -610,12 +614,12 @@
 	typeset -i i=0
 	while (( i < NUM_FILE )); do
 		typeset dstfile=$INI_DIR/file.$$.$i
-		usr_exec $CP $RES_DIR/file $dstfile
+		usr_exec cp $RES_DIR/file $dstfile
 
 		typeset -i j=0
 		while (( j < NUM_ATTR )); do
-			usr_exec $RUNAT $dstfile \
-				$CP $RES_DIR/attribute ./attribute.$j
+			usr_exec runat $dstfile \
+				cp $RES_DIR/attribute ./attribute.$j
 			(( j += 1 ))
 		done
 
--- old/usr/src/test/zfs-tests/tests/functional/acl/cifs/cifs.kshlib	Wed Aug 31 16:20:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/cifs/cifs.kshlib	Wed Aug 31 16:20:19 2016
@@ -24,6 +24,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -43,15 +47,15 @@
 
 	case $type in
 	dir)
-		$MKDIR -p $object
+		mkdir -p $object
 		;;
 	file)
-		$ECHO "ZFS test suites" > $object
+		echo "ZFS test suites" > $object
 		;;
 	esac
 
 	if [[ -n $owner ]]; then
-		$CHOWN $owner $object
+		chown $owner $object
 	fi
 	return 0
 }
@@ -69,7 +73,7 @@
 			# clear_attribute is a common function name,
 			# but each case should have their own implement.
 			log_must clear_attribute $object
-			log_must $RM -rf $object
+			log_must rm -rf $object
 		fi
 	done
 	return 0
--- old/usr/src/test/zfs-tests/tests/functional/acl/cifs/cifs_attr_001_pos.ksh	Wed Aug 31 16:20:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/cifs/cifs_attr_001_pos.ksh	Wed Aug 31 16:20:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -52,7 +52,7 @@
 {
 	for fs in $TESTPOOL/$TESTFS $TESTPOOL ; do
 		mtpt=$(get_prop mountpoint $fs)
-		log_must $RM -rf $mtpt/file.* $mtpt/dir.*
+		log_must rm -rf $mtpt/file.* $mtpt/dir.*
 	done
 }
 
@@ -75,10 +75,10 @@
 	fi
 
 	if [[ -n $user ]]; then
-		$SU $user -c "$CHMOD S+c${attr} $object"
+		su $user -c "chmod S+c${attr} $object"
 		ret=$?
 	else
-		$CHMOD S+c${attr} $object
+		chmod S+c${attr} $object
 		ret=$?
 	fi
 
@@ -104,10 +104,10 @@
 	fi
 
 	if [[ -n $user ]]; then
-		$SU $user -c "$CHMOD S-c${attr} $object"
+		su $user -c "chmod S-c${attr} $object"
 		ret=$?
 	else
-		$CHMOD S-c${attr} $object
+		chmod S-c${attr} $object
 		ret=$?
 	fi
 
@@ -134,16 +134,16 @@
 	# Only grant the user explicitly while it's not root neither owner.
 
 	if [[ $user == "root" ]]; then
-		log_must $CHMOD A+user:root:write_attributes:deny $object
+		log_must chmod A+user:root:write_attributes:deny $object
 	elif [[ $user == $(get_owner $object) ]]; then
 		if (((RANDOM % 2) == 0)); then
-			log_must $CHMOD A+owner@:write_attributes:deny $object
+			log_must chmod A+owner@:write_attributes:deny $object
 		else
-			log_must $CHMOD A+user:$user:write_attributes:deny \
+			log_must chmod A+user:$user:write_attributes:deny \
 			    $object
 		fi
 	else
-		log_must $CHMOD A+user:$user:write_attributes:allow $object
+		log_must chmod A+user:$user:write_attributes:allow $object
 	fi
 	attr_mod="write_attributes"
 }
@@ -163,7 +163,7 @@
 		log_fail "User($user), Object($object) not defined."
 	fi
 
-	log_must $CHMOD A0- $object
+	log_must chmod A0- $object
 	attr_mod=
 }
 
--- old/usr/src/test/zfs-tests/tests/functional/acl/cifs/cifs_attr_002_pos.ksh	Wed Aug 31 16:20:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/cifs/cifs_attr_002_pos.ksh	Wed Aug 31 16:20:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -50,10 +50,10 @@
 
 function cleanup
 {
-	$RM -rf $mntpt/file $mntpt/dir >/dev/null 2>&1
+	rm -rf $mntpt/file $mntpt/dir >/dev/null 2>&1
 
-	log_must $CP $orig_user_attr /etc/user_attr
-	log_must $RM -f $orig_user_attr
+	log_must cp $orig_user_attr /etc/user_attr
+	log_must rm -f $orig_user_attr
 }
 
 function try
@@ -64,7 +64,7 @@
 	typeset priv=$4		# What privilege to run with if non-root
 	typeset op=$5		# Whether to set or clear the attribute
 
-	typeset cmd="$CHMOD $op$attr $obj"
+	typeset cmd="chmod $op$attr $obj"
 
 	#
 	# No one can add 'q' (av_quarantine) to a directory. root can do
@@ -80,21 +80,21 @@
 		fi
 	else
 		if [[ $attr =~ 'q' && -d $obj && $op == $add ]]; then
-			log_mustnot $SU $user -c "$cmd"
+			log_mustnot su $user -c "$cmd"
 		else
 			if [[ $op == $add ]]; then
 				if [[ -n $priv ]]; then
-					log_must $SU $user -c "$cmd"
+					log_must su $user -c "$cmd"
 				else
-					log_mustnot $SU $user -c "$cmd"
+					log_mustnot su $user -c "$cmd"
 				fi
 			else
 				if [[ $attr = 'q' && -d $obj ]]; then
-					log_must $SU $user -c "$cmd"
+					log_must su $user -c "$cmd"
 				elif [[ $priv =~ 'all' ]]; then
-					log_must $SU $user -c "$cmd"
+					log_must su $user -c "$cmd"
 				else
-					log_mustnot $SU $user -c "$cmd"
+					log_mustnot su $user -c "$cmd"
 					#
 					# Remove the attribute, so the next
 					# iteration starts with a known state.
@@ -118,7 +118,7 @@
 	typeset attr=$3
 
 	# Extract the attribute string - just the text inside the braces
-	typeset attrstr="$($LS -d/ c $obj | $SED '1d; s/.*{\(.*\)}.*/\1/g')"
+	typeset attrstr="$(ls -d/ c $obj | sed '1d; s/.*{\(.*\)}.*/\1/g')"
 
 	if [[ $op == $add ]]; then
 		[[ $attrstr =~ $attr ]] || log_fail "$op $attr -> $attrstr"
@@ -147,7 +147,7 @@
 	# If we're root, don't modify /etc/user_attr
 	[[ $user == 'root' ]] && return 0
 
-	$ECHO "$user::::type=normal;defaultpriv=basic$priv_mod" >> \
+	echo "$user::::type=normal;defaultpriv=basic$priv_mod" >> \
 	    /etc/user_attr
 	return $?
 }
@@ -167,7 +167,7 @@
 
 	priv_mod=
 
-	$CP $orig_user_attr /etc/user_attr || log_fail "Couldn't modify user_attr"
+	cp $orig_user_attr /etc/user_attr || log_fail "Couldn't modify user_attr"
 	return 0
 }
 
@@ -181,12 +181,12 @@
 orig_user_attr="/tmp/user_attr.$$"
 attributes="u i a d q m"
 
-log_must $CP /etc/user_attr $orig_user_attr
+log_must cp /etc/user_attr $orig_user_attr
 
 for owner in root $ZFS_ACL_STAFF1 $ZFS_ACL_STAFF2; do
-	$TOUCH $mntpt/file || log_fail "Failed to create $mntpt/file"
-	$MKDIR $mntpt/dir || log_fail "Failed to mkdir $mntpt/dir"
-	$CHOWN $owner $mntpt/file $mntpt/dir || log_fail "Failed to chown file"
+	touch $mntpt/file || log_fail "Failed to create $mntpt/file"
+	mkdir $mntpt/dir || log_fail "Failed to mkdir $mntpt/dir"
+	chown $owner $mntpt/file $mntpt/dir || log_fail "Failed to chown file"
 	for user in 'root' $ZFS_ACL_STAFF2; do
 		for attr in $attributes; do
 			for priv in 'file_flag_set' 'all'; do
@@ -200,8 +200,8 @@
 			done
 		done
 	done
-	$RM -rf $mntpt/file $mntpt/dir || log_fail \
-	    "$($LS -d/ c $mntpt/file $mntpt/dir)"
+	rm -rf $mntpt/file $mntpt/dir || log_fail \
+	    "$(ls -d/ c $mntpt/file $mntpt/dir)"
 done
 
 log_pass "Set/Clear BSD'ish attributes succeed while user has " \
--- old/usr/src/test/zfs-tests/tests/functional/acl/cifs/cifs_attr_003_pos.ksh	Wed Aug 31 16:20:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/cifs/cifs_attr_003_pos.ksh	Wed Aug 31 16:20:19 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -78,10 +78,10 @@
 
 	for fs in $TESTPOOL/$TESTFS $TESTPOOL ; do
 		mtpt=$(get_prop mountpoint $fs)
-		log_must $RM -rf $mtpt/file.* $mtpt/dir.*
+		log_must rm -rf $mtpt/file.* $mtpt/dir.*
 	done
 
-	[[ -f $TESTFILE ]] && $RM $TESTFILE
+	[[ -f $TESTFILE ]] && rm $TESTFILE
 }
 
 #
@@ -101,7 +101,7 @@
 			attr="${attr}q"
 		fi
 	fi
-	$CHMOD S+c${attr} $object
+	chmod S+c${attr} $object
 	return $?
 }
 
@@ -127,7 +127,7 @@
 		fi
 	fi
 
-	$CHMOD S-c${attr} $object
+	chmod S-c${attr} $object
 	return $?
 }
 
@@ -201,10 +201,10 @@
 	typeset user=$2
 	typeset expect=${3:-0}
 	if [[ -f $object ]]; then
-		verify_expect $expect $CHG_USR_EXEC $user \
-		    $CP $TESTFILE $object
-		verify_expect $expect $CHG_USR_EXEC $user \
-		    $EVAL "$ECHO '$TESTSTR' > $object"
+		verify_expect $expect chg_usr_exec $user \
+		    cp $TESTFILE $object
+		verify_expect $expect chg_usr_exec $user \
+		    "echo '$TESTSTR' > $object"
 	fi
 }
 
@@ -222,10 +222,10 @@
 	typeset expect=${3:-0}
 
 	if [[ -d $object ]]; then
-		verify_expect $expect $CHG_USR_EXEC $user \
-		    $CP $TESTFILE $object
-		verify_expect $expect $CHG_USR_EXEC $user \
-		    $MKDIR -p $object/$TESTDIR
+		verify_expect $expect chg_usr_exec $user \
+		    cp $TESTFILE $object
+		verify_expect $expect chg_usr_exec $user \
+		    mkdir -p $object/$TESTDIR
 	fi
 }
 
@@ -236,8 +236,8 @@
 	typeset expect=${3:-0}
 
 	if [[ ! -d $object ]]; then
-		verify_expect $expect $CHG_USR_EXEC $user \
-		    $EVAL "$ECHO '$TESTSTR' >> $object"
+		verify_expect $expect chg_usr_exec $user \
+		    "echo '$TESTSTR' >> $object"
 	fi
 }
 
@@ -257,10 +257,10 @@
 	if [[ -d $object ]]; then
 		for target in $object/${TESTFILE##*/} $object/$TESTDIR ; do
 			if [[ -e $target ]]; then
-				verify_expect $expect $CHG_USR_EXEC $user \
-				    $EVAL "$MV $target $target.new"
-				verify_expect $expect $CHG_USR_EXEC $user \
-				    $EVAL "$ECHO y | $RM -r $target.new"
+				verify_expect $expect chg_usr_exec $user \
+				    "mv $target $target.new"
+				verify_expect $expect chg_usr_exec $user \
+				    "echo y | rm -r $target.new"
 			fi
 		done
 	fi
@@ -279,8 +279,8 @@
 	typeset user=$2
 	typeset expect=${3:-0}
 
-	verify_expect $expect $CHG_USR_EXEC $user \
-	    $EVAL "$ECHO y | $RM -r $object"
+	verify_expect $expect chg_usr_exec $user \
+	    "echo y | rm -r $object"
 
 }
 
@@ -297,15 +297,15 @@
 	typeset user=$2
 	typeset expect=${3:-0}
 
-	verify_expect $expect $CHG_USR_EXEC $user \
-	    $RUNAT $object "$CP $TESTFILE $TESTATTR"
-	verify_expect $expect $CHG_USR_EXEC $user \
-	    $EVAL "$RUNAT $object \"$ECHO '$TESTSTR' > $TESTATTR\""
-	verify_expect $expect $CHG_USR_EXEC $user \
-	    $EVAL "$RUNAT $object \"$ECHO '$TESTSTR' >> $TESTATTR\""
+	verify_expect $expect chg_usr_exec $user \
+	    runat $object "cp $TESTFILE $TESTATTR"
+	verify_expect $expect chg_usr_exec $user \
+	    "runat $object \"echo '$TESTSTR' > $TESTATTR\""
+	verify_expect $expect chg_usr_exec $user \
+	    "runat $object \"echo '$TESTSTR' >> $TESTATTR\""
 	if [[ $expect -eq 0 ]]; then
-		verify_expect $expect $CHG_USR_EXEC $user \
-		    $RUNAT $object "$RM -f $TESTATTR"
+		verify_expect $expect chg_usr_exec $user \
+		    runat $object "rm -f $TESTATTR"
 	fi
 }
 
@@ -323,9 +323,9 @@
 	typeset expect=${3:-0}
 
 	if [[ -d $object ]]; then
-		verify_expect $expect $CHG_USR_EXEC $user $LS $object
+		verify_expect $expect chg_usr_exec $user ls $object
 	else
-		verify_expect $expect $CHG_USR_EXEC $user $CAT $object
+		verify_expect $expect chg_usr_exec $user cat $object
 	fi
 }
 
@@ -342,9 +342,9 @@
 	typeset user=$2
 	typeset expect=${3:-0}
 	typeset immutable_expect=${4:-$expect}
-	verify_expect $expect $CHG_USR_EXEC $user $TOUCH $object
-	verify_expect $immutable_expect $CHG_USR_EXEC $user $TOUCH -a $object
-	verify_expect $expect $CHG_USR_EXEC $user $TOUCH -m $object
+	verify_expect $expect chg_usr_exec $user touch $object
+	verify_expect $immutable_expect chg_usr_exec $user touch -a $object
+	verify_expect $expect chg_usr_exec $user touch -m $object
 }
 
 #
@@ -360,12 +360,12 @@
 	typeset user=$2
 	typeset expect=${3:-0}
 
-	verify_expect $expect $CHG_USR_EXEC $user $CHMOD A+$TESTACL $object
-	verify_expect $expect $CHG_USR_EXEC $user $CHMOD A+$TESTACL $object
-	verify_expect $expect $CHG_USR_EXEC $user $CHMOD A0- $object
-	verify_expect $expect $CHG_USR_EXEC $user $CHMOD A0- $object
+	verify_expect $expect chg_usr_exec $user chmod A+$TESTACL $object
+	verify_expect $expect chg_usr_exec $user chmod A+$TESTACL $object
+	verify_expect $expect chg_usr_exec $user chmod A0- $object
+	verify_expect $expect chg_usr_exec $user chmod A0- $object
 	oldmode=$(get_mode $object)
-	verify_expect $expect $CHG_USR_EXEC $user $CHMOD $TESTMODE $object
+	verify_expect $expect chg_usr_exec $user chmod $TESTMODE $object
 }
 
 #
@@ -385,10 +385,10 @@
 
 	for user in $ZFS_ACL_CUR_USER root $ZFS_ACL_STAFF2; do
 		if [[ -d $object ]]; then
-			log_must usr_exec $CHMOD \
+			log_must usr_exec chmod \
 			    A+user:$user:${ace_dir}:allow $object
 		else
-			log_must usr_exec $CHMOD \
+			log_must usr_exec chmod \
 			    A+user:$user:${ace_file}:allow $object
 		fi
 
@@ -435,10 +435,10 @@
 
 	for user in $ZFS_ACL_CUR_USER root $ZFS_ACL_STAFF2; do
 		if [[ -d $object ]]; then
-			log_must usr_exec $CHMOD \
+			log_must usr_exec chmod \
 			    A+user:$user:${ace_dir}:allow $object
 		else
-			log_must usr_exec $CHMOD \
+			log_must usr_exec chmod \
 			    A+user:$user:${ace_file}:allow $object
 		fi
 		log_must set_attribute $object "i"
@@ -474,14 +474,14 @@
 		log_fail "Object($object) not defined."
 	fi
 
-	$ECHO "Testing nounlink of $object"
+	echo "Testing nounlink of $object"
 
 	for user in $ZFS_ACL_CUR_USER root $ZFS_ACL_STAFF2; do
 		if [[ -d $object ]]; then
-			log_must usr_exec $CHMOD \
+			log_must usr_exec chmod \
 			    A+user:$user:${ace_dir}:allow $object
 		else
-			log_must usr_exec $CHMOD \
+			log_must usr_exec chmod \
 			    A+user:$user:${ace_file}:allow $object
 		fi
 		log_must set_attribute $object "u"
@@ -521,10 +521,10 @@
 
 	for user in $ZFS_ACL_CUR_USER root $ZFS_ACL_STAFF2; do
 		if [[ -d $object ]]; then
-			log_must usr_exec $CHMOD \
+			log_must usr_exec chmod \
 			    A+user:$user:${ace_dir}:allow $object
 		else
-			log_must usr_exec $CHMOD \
+			log_must usr_exec chmod \
 			    A+user:$user:${ace_file}:allow $object
 		fi
 		log_must set_attribute $object "a"
@@ -572,7 +572,7 @@
     "access limitation as expected."
 log_onexit cleanup
 
-$ECHO "$TESTSTR" > $TESTFILE
+echo "$TESTSTR" > $TESTFILE
 
 typeset gobject
 typeset gattr
@@ -579,7 +579,7 @@
 for gattr in $ATTRS ; do
 	for fs in $FS ; do
 		mtpt=$(get_prop mountpoint $fs)
-		$CHMOD 777 $mtpt
+		chmod 777 $mtpt
 		for user in root $ZFS_ACL_STAFF1; do
 			log_must set_cur_usr $user
 			for file in $FILES ; do
--- old/usr/src/test/zfs-tests/tests/functional/acl/cifs/cleanup.ksh	Wed Aug 31 16:20:19 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/cifs/cleanup.ksh	Wed Aug 31 16:20:19 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
@@ -32,8 +36,8 @@
 
 # restore the state of svc:/network/nis/client:default
 if [[ -e $NISSTAFILE ]]; then
-    log_must $SVCADM enable svc:/network/nis/client:default
-    log_must $RM -f $NISSTAFILE
+    log_must svcadm enable svc:/network/nis/client:default
+    log_must rm -f $NISSTAFILE
 fi
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/acl/cifs/setup.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/cifs/setup.ksh	Wed Aug 31 16:20:20 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
@@ -31,10 +35,10 @@
 # check svc:/network/nis/client:default state
 # disable it if the state is ON
 # and the state will be restored during cleanup.ksh
-log_must $RM -f $NISSTAFILE
-if [[ "ON" == $($SVCS -H -o sta svc:/network/nis/client:default) ]]; then
-    log_must $SVCADM disable -t svc:/network/nis/client:default
-    log_must $TOUCH $NISSTAFILE
+log_must rm -f $NISSTAFILE
+if [[ "ON" == $(svcs -H -o sta svc:/network/nis/client:default) ]]; then
+    log_must svcadm disable -t svc:/network/nis/client:default
+    log_must touch $NISSTAFILE
 fi
 
 cleanup_user_group
@@ -54,6 +58,6 @@
 
 DISK=${DISKS%% *}
 default_setup_noexit $DISK
-log_must $CHMOD 777 $TESTDIR
+log_must chmod 777 $TESTDIR
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/cleanup.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/cleanup.ksh	Wed Aug 31 16:20:20 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
@@ -32,8 +36,8 @@
 
 # restore the state of svc:/network/nis/client:default
 if [[ -e $NISSTAFILE ]]; then
-    log_must $SVCADM enable svc:/network/nis/client:default
-    log_must $RM -f $NISSTAFILE
+    log_must svcadm enable svc:/network/nis/client:default
+    log_must rm -f $NISSTAFILE
 fi
 
 default_cleanup
